## org.opengis.metadata.distribution
Interface DigitalTransferOptions

    @Profile(level=CORE)
    @UML(identifier="MD_DigitalTransferOptions",
         specification=ISO_19115)
    public interface DigitalTransferOptions

Technical means and media by which a resource is obtained from the distributor.

Since:
  GeoAPI 2.0

Method Summary
`Medium` `getOffLine()` Information about offline media on which the resource can be obtained.
`Collection<? extends OnLineResource>` `getOnLines()` Information about online sources from which the resource can be obtained.
`Double` `getTransferSize()` Estimated size of a unit in the specified transfer format, expressed in megabytes.
`InternationalString` `getUnitsOfDistribution()` Tiles, layers, geographic areas, etc., in which data is available.

Method Detail

### getUnitsOfDistribution

    @UML(identifier="unitsOfDistribution",
         obligation=OPTIONAL,
         specification=ISO_19115)
    InternationalString getUnitsOfDistribution()

  Tiles, layers, geographic areas, etc., in which data is available.

### getTransferSize

    @UML(identifier="transferSize",
         obligation=OPTIONAL,
         specification=ISO_19115)
    Double getTransferSize()

  Estimated size of a unit in the specified transfer format, expressed in megabytes. The transfer size is > 0.0. Returns `null` if the transfer size is unknown.

### getOnLines

    @Profile(level=CORE)
    @UML(identifier="onLine",
         obligation=OPTIONAL,
         specification=ISO_19115)
    Collection<? extends OnLineResource> getOnLines()

  Information about online sources from which the resource can be obtained.

### getOffLine

    @UML(identifier="offLine",
         obligation=OPTIONAL,
         specification=ISO_19115)
    Medium getOffLine()

  Information about offline media on which the resource can be obtained.

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.